%define major 1

Name: pkcs11-helper
Version: 1.11
Release: %mkrel 2
Summary: A library that simplifies the interaction with PKCS#11
License: GPL
Group: System/Libraries
URL: http://www.opensc-project.org
Source: http://www.opensc-project.org/files/pkcs11-helper/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig
BuildRequires: openssl-devel
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
pkcs11-helper is a library that simplifies the interaction with PKCS#11
providers for end-user applications.

#-------------------------------------------------------------

%define libname %mklibname pkcs11-helper %{major}

%package -n %{libname}
Summary: Dynamic libraries from %name
Group: System/Libraries
Obsoletes: libpcks11-helper1

%description -n %{libname}
Dynamic libraries from %name.

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%defattr(-,root,root)
%{_docdir}/pkcs11-helper
%{_libdir}/*.so.%{major}*

#-------------------------------------------------------------

%define develname %mklibname -d %{name}

%package -n %{develname}
Summary: Header files and static libraries from %name
Group: Development/C
Requires: %{libname} = %{version}
Provides: pkcs11-helper-devel
Provides: libpkcs11-helper-devel = %version

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man8/*
%{_datadir}/aclocal/*

#-------------------------------------------------------------

%prep
%setup -q

%build
libtoolize
autoheader
aclocal
automake --add-missing
autoconf

%configure2_5x \
    --disable-debug \
    --disable-static

%make
										
%install
rm -rf %buildroot

%makeinstall_std

# don't ship unwanted files
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %buildroot



%changelog
* Fri Mar 17 2017 bb2 <bb2> - 1.11-2pclos2017
- rebuild new gnutls

